%define version 19.15
%define release 1mdk

Summary:	A free chess program, plays decent game of chess
Name:		crafty
Version:	%{version}
Release:	%{release}
License:	Freeware
Group:		Games/Boards
URL:		http://www.limunltd.com/crafty/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# ftp://ftp.cis.uab.edu/pub/hyatt/v19/
Source:		%{name}-%{version}.tar.bz2
Source10:	%{name}.sh.bz2
Source11:	%{name}-opening-book.tar.bz2
Source12:	crafty.txt.bz2

Patch0:		%{name}-19.15-linuxsparc.patch.bz2
Patch1:		%{name}-19.15-help-path.patch.bz2
Patch10:	%{name}-%{version}-optimization.patch.bz2

Provides:	chessengine

# (Abel) can anybody check if this still won't work on ppc?
#ExcludeArch:	ppc

%description
Crafty is a chess program written by Bob Hyatt <hyatt at cis.uab.edu>.
It is a direct descendent of Cray Blitz, the World Computer Champion
from 1983 to 1989.

It comes with a text interface like gnuchess do. If you want a graphical
interface, you can install GUI chessboards such as xboard and eboard.

Crafty is based on the classic BITMAP approach to representing the chess
board, but uses a unique methodology called "rotated bitmaps" to
significantly improve the performance of the chess engine.

%prep
%setup -q -c
%patch0 -p1 -b .linuxsparc
%patch1 -p1 -b .help
%patch10 -p1 -b .opt

%build
%{?cpus: export NCPUS=%cpus}

%ifnarch alpha x86_64 amd64 i686
make linux
%endif

%ifarch x86_64 amd64
make linux-amd64
%endif

%ifarch alpha
make linux-alpha
%endif

%ifarch i686
make linux-i686
%endif

bzcat %{SOURCE12} > crafty.txt

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 crafty %{buildroot}/%{_gamesbindir}/crafty.real

bzcat %{SOURCE10} > %{buildroot}/%{_gamesbindir}/crafty
chmod 755 %{buildroot}/%{_gamesbindir}/crafty

install -D -m 644 crafty.hlp %{buildroot}%{_gamesdatadir}/crafty/crafty.hlp
tar --bzip2 -xf %{SOURCE11} -C %{buildroot}%{_gamesdatadir}/crafty/

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc crafty.txt
%{_gamesbindir}/*
%{_gamesdatadir}/crafty

%changelog
* Thu Jul 15 2004 Abel Cheung <deaddog@deaddog.org> 19.15-1mdk
- New version
- Retouch P0
- P1: read help file in shared folder, not $cwd
- P10: don't add smp and i686 flags in default build
- Fix license (it's for non-commercial use)
- Use optimized make target for alpha, amd64 and i686
- It doesn't need xboard to work
- Provides chessengine
- S10: go to ~/.crafty/ before executing crafty, since
  it reads and writes everything inside $cwd by default
- S11: include prebuilt opening books
- S12: include readme

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 19.1-4mdk
- rebuild

* Fri Nov 28 2003 Franck Villaume <fvill@freesurf.fr> 19.1-3mdk
- add linux-sparc support :)

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 19.1-2mdk
- rebuild

* Mon Oct 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 19.1-1mdk
- back, 19.1 

* Fri Jun 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.9-1mdk
- updated to 18.9

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.7-1mdk 
- updated to 18.7

* Wed Mar 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.6-1mdk
- updated to 18.6

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.3-1mdk
- updated to 18.3

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 17.7-4mdk
- ExcludeArch ppc
- Don't build for i686 on i586

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 17.7-3mdk
- BM

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com>  17.7-2mdk
- fix group
- spec helper fixes

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v17.7
- add docs

* Fri Mar 19 1999 Konstantin L. Metlov <metlov@fzu.cz>
- updated for Crafty 16.6
- moved tablebase directory to /usr/share/games/crafty . 
